summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2004-10-06 07:11:05 +0000
committerMichael Sterrett <mr_bones_@gentoo.org>2004-10-06 07:11:05 +0000
commitfdcb5108be9d4ef723902b54abc2f64a72329ff3 (patch)
tree010eb812621236ade7ed8d11a4f4772746219655 /eclass/games.eclass
parentVersion bump. Bug # 66423. (diff)
downloadhistorical-fdcb5108be9d4ef723902b54abc2f64a72329ff3.tar.gz
historical-fdcb5108be9d4ef723902b54abc2f64a72329ff3.tar.bz2
historical-fdcb5108be9d4ef723902b54abc2f64a72329ff3.zip
More quoting
Diffstat (limited to 'eclass/games.eclass')
-rw-r--r--eclass/games.eclass74
1 files changed, 39 insertions, 35 deletions
diff --git a/eclass/games.eclass b/eclass/games.eclass
index 4b6873abac7a..2b4e914d81c7 100644
--- a/eclass/games.eclass
+++ b/eclass/games.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.78 2004/10/05 23:45:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.79 2004/10/06 07:11:05 mr_bones_ Exp $
#
# devlist: {vapier,wolf31o2,mr_bones_}@gentoo.org
#
@@ -37,23 +37,23 @@ egamesconf() {
if [ -x ./configure ] ; then
echo \
./configure \
- --prefix=${GAMES_PREFIX} \
+ --prefix="${GAMES_PREFIX}" \
--host=${CHOST} \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
- --datadir=${GAMES_DATADIR} \
- --sysconfdir=${GAMES_SYSCONFDIR} \
- --localstatedir=${GAMES_STATEDIR} \
+ --datadir="${GAMES_DATADIR}" \
+ --sysconfdir="${GAMES_SYSCONFDIR}" \
+ --localstatedir="${GAMES_STATEDIR}" \
${EXTRA_ECONF} \
"$@"
./configure \
- --prefix=${GAMES_PREFIX} \
+ --prefix="${GAMES_PREFIX}" \
--host=${CHOST} \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
- --datadir=${GAMES_DATADIR} \
- --sysconfdir=${GAMES_SYSCONFDIR} \
- --localstatedir=${GAMES_STATEDIR} \
+ --datadir="${GAMES_DATADIR}" \
+ --sysconfdir="${GAMES_SYSCONFDIR}" \
+ --localstatedir="${GAMES_STATEDIR}" \
${EXTRA_ECONF} \
"$@" || die "egamesconf failed"
else
@@ -64,12 +64,12 @@ egamesconf() {
egamesinstall() {
if [ -f ./[mM]akefile -o -f ./GNUmakefile ] ; then
make \
- prefix=${D}${GAMES_PREFIX} \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- datadir=${D}${GAMES_DATADIR} \
- sysconfdir=${D}${GAMES_SYSCONFDIR} \
- localstatedir=${D}${GAMES_STATEDIR} \
+ prefix="${D}${GAMES_PREFIX}" \
+ mandir="${D}/usr/share/man" \
+ infodir="${D}/usr/share/info" \
+ datadir="${D}${GAMES_DATADIR}" \
+ sysconfdir="${D}${GAMES_SYSCONFDIR}" \
+ localstatedir="${D}${GAMES_STATEDIR}" \
"$@" install || die "einstall failed"
else
die "no Makefile found"
@@ -77,12 +77,12 @@ egamesinstall() {
}
gameswrapper() {
- local oldtree=${DESTTREE}
- into ${GAMES_PREFIX}
+ local oldtree="${DESTTREE}"
+ into "${GAMES_PREFIX}"
local cmd=$1; shift
${cmd} "$@"
local ret=$?
- into ${oldtree}
+ into "${oldtree}"
return ${ret}
}
@@ -97,23 +97,25 @@ newgamessbin() { gameswrapper ${FUNCNAME/games} "$@"; }
gamesowners() { chown ${GAMES_USER}:${GAMES_GROUP} "$@"; }
gamesperms() { chmod u+rw,g+r-w,o-rwx "$@"; }
prepgamesdirs() {
- local dir=""
- for dir in ${GAMES_PREFIX} ${GAMES_PREFIX_OPT} ${GAMES_DATADIR} ${GAMES_SYSCONFDIR} \
- ${GAMES_STATEDIR} ${GAMES_LIBDIR} ${GAMES_BINDIR} "$@" ; do
+ local dir=
+ for dir in "${GAMES_PREFIX}" "${GAMES_PREFIX_OPT}" "${GAMES_DATADIR}" \
+ "${GAMES_SYSCONFDIR}" "${GAMES_STATEDIR}" "${GAMES_LIBDIR}" \
+ "${GAMES_BINDIR}" "$@"
+ do
(
- gamesowners -R ${D}/${dir}
- find ${D}/${dir} -type d -print0 | xargs --null chmod 750
- find ${D}/${dir} -type f -print0 | xargs --null chmod o-rwx,g+r
- ) >& /dev/null
+ gamesowners -R "${D}/${dir}"
+ find "${D}/${dir}" -type d -print0 | xargs --null chmod 750
+ find "${D}/${dir}" -type f -print0 | xargs --null chmod o-rwx,g+r
+ ) &> /dev/null
done
- local f=""
- for f in $(find ${D}/${GAMES_STATEDIR} -type f -printf '%P ' 2>/dev/null) ; do
+ local f=
+ for f in $(find "${D}/${GAMES_STATEDIR}" -type f -printf '%P ' 2>/dev/null) ; do
if [ -e "${ROOT}/${GAMES_STATEDIR}/${f}" ] ; then
cp -p "${ROOT}/${GAMES_STATEDIR}/${f}" "${D}/${GAMES_STATEDIR}/${f}"
touch "${D}/${GAMES_STATEDIR}/${f}"
fi
done
- chmod 750 ${D}/${GAMES_BINDIR}/* >& /dev/null
+ chmod 750 ${D}/${GAMES_BINDIR}/* &> /dev/null
}
gamesenv() {
@@ -155,19 +157,20 @@ games_pkg_postinst() {
# $1: directory or file to unpack
games_ut_unpack() {
local ut_unpack="$1"
+ local f=
if [ -z "${ut_unpack}" ]; then
die "You must provide an argument to games_ut_unpack"
fi
if [ -f "${ut_unpack}" ]; then
- uz2unpack ${ut_unpack} ${ut_unpack/.uz2/} >/dev/null 2>&1 \
+ uz2unpack "${ut_unpack}" "${ut_unpack/.uz2/}" &>/dev/null \
|| die "uncompressing file ${ut_unpack}"
fi
if [ -d "${ut_unpack}" ]; then
- for f in $(find ${ut_unpack} -name '*.uz*' -printf '%f ') ; do
- uz2unpack ${ut_unpack}/${f} ${ut_unpack}/${f/.uz2} >/dev/null 2>&1 \
+ for f in $(find "${ut_unpack}" -name '*.uz*' -printf '%f ') ; do
+ uz2unpack "${ut_unpack}/${f}" "${ut_unpack}/${f/.uz2}" &>/dev/null \
|| die "uncompressing file ${f}"
- rm -f ${ut_unpack}/${f} || die "deleting compressed file ${f}"
+ rm -f "${ut_unpack}/${f}" || die "deleting compressed file ${f}"
done
fi
}
@@ -176,13 +179,14 @@ games_ut_unpack() {
# Usage: games_umod_unpack $1
games_umod_unpack() {
local umod="$1"
- mkdir -p ${Ddir}/System
+ mkdir -p "${Ddir}/System"
cp ${dir}/System/{ucc-bin,{Manifest,Def{ault,User}}.ini,{Engine,Core,zlib,ogg,vorbis}.so,{Engine,Core}.int} ${Ddir}/System
export UT_DATA_PATH="${Ddir}/System"
cd "${UT_DATA_PATH}"
- ./ucc-bin umodunpack -x ${S}/${umod} -nohomedir >/dev/null 2>&1 \
+ ./ucc-bin umodunpack -x "${S}/${umod}" -nohomedir &> /dev/null \
|| die "uncompressing file ${umod}"
- rm -f ${Ddir}/System/{ucc-bin,{Manifest,Def{ault,User},User,UT2003}.ini,{Engine,Core,zlib,ogg,vorbis}.so,{Engine,Core}.int,ucc.log} >/dev/null 2>&1 || die "Removing temporary files"
+ rm -f ${Ddir}/System/{ucc-bin,{Manifest,Def{ault,User},User,UT2003}.ini,{Engine,Core,zlib,ogg,vorbis}.so,{Engine,Core}.int,ucc.log} &>/dev/null \
+ || die "Removing temporary files"
}
# make a wrapper script ...